Home

# Class goog.crypt.Sha1

SHA-1 cryptographic hash constructor. The properties declared here are discussed in the above algorithm document.

extends goog.crypt.Hash

Instance Method Summary
| `compress_(?Array.<number> buf, number= opt_offset)` Internal compress helper function.
| `digest() ⇒ ?Array.<number>`
| `reset()` Resets the internal accumulator.
| `update((Array.<number>|Uint8Array|null|string) bytes, number= opt_length)` Adds a byte array (array with values in [0-255] range) or a string (might only contain 8-bit, i.e., Latin1 characters) to the internal accumulator.